> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Modality Distribution

> Returns a report on modality distribution for the specified install.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/reports/modalityDistribution
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/reports/modalityDistribution:
    get:
      tags:
        - Reports
      summary: Modality Distribution
      description: Returns a report on modality distribution for the specified install.
      operationId: getV1InstallsInstallsidReportsModalitydistribution
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: courseSid
          in: query
          schema:
            type: string
            description: Course sid
            pattern: ^CU[a-f0-9]{32}$
          description: Course sid
        - name: examSid
          in: query
          schema:
            type: string
            description: Exam sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam sid
        - name: courseOfferingSid
          in: query
          schema:
            type: string
            description: Course Offering Sid
            pattern: ^CO[a-f0-9]{32}$
          description: Course Offering Sid
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModalityDistributionReportResponse'
components:
  schemas:
    ModalityDistributionReportResponse:
      type: object
      properties:
        ad-hoc:
          $ref: '#/components/schemas/ad-hoc'
        automated:
          $ref: '#/components/schemas/automated'
        instructor-as-proctor:
          $ref: '#/components/schemas/instructor-as-proctor'
        messaging:
          $ref: '#/components/schemas/messaging'
        proctoru:
          $ref: '#/components/schemas/proctoru'
        register-blast:
          $ref: '#/components/schemas/register-blast'
        smarter-scheduling:
          $ref: '#/components/schemas/smarter-scheduling'
    ad-hoc:
      type: object
      nullable: true
      properties:
        total:
          type: number
          nullable: true
        Scheduled:
          type: number
          nullable: true
        Closed:
          type: number
          nullable: true
    automated:
      type: object
      nullable: true
      properties:
        total:
          type: number
          nullable: true
        Scheduled:
          type: number
          nullable: true
        Closed:
          type: number
          nullable: true
    instructor-as-proctor:
      type: object
      nullable: true
      properties:
        total:
          type: number
          nullable: true
        Scheduled:
          type: number
          nullable: true
        Closed:
          type: number
          nullable: true
    messaging:
      type: object
      nullable: true
      properties:
        total:
          type: number
          nullable: true
        Scheduled:
          type: number
          nullable: true
        Closed:
          type: number
          nullable: true
    proctoru:
      type: object
      nullable: true
      properties:
        total:
          type: number
          nullable: true
        Scheduled:
          type: number
          nullable: true
        Closed:
          type: number
          nullable: true
    register-blast:
      type: object
      nullable: true
      properties:
        total:
          type: number
          nullable: true
        Scheduled:
          type: number
          nullable: true
        Closed:
          type: number
          nullable: true
    smarter-scheduling:
      type: object
      nullable: true
      properties:
        total:
          type: number
          nullable: true
        Scheduled:
          type: number
          nullable: true
        Closed:
          type: number
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````